namespace e_suite.Nuget.PasswordHasher;
public static class ByteArrayExtensions
{
    public static byte[] Concatenate(this byte[] byteArray1, byte[] byteArray2)
    {
        byte[] saltAndPepper = new byte[byteArray1.Length + byteArray2.Length];
        Buffer.BlockCopy(byteArray1, 0, saltAndPepper, 0, byteArray1.Length);
        Buffer.BlockCopy(byteArray2, 0, saltAndPepper, byteArray1.Length, byteArray2.Length);
        return saltAndPepper;
    }
}